Package org.eclipse.mat.ui.util

## Class NavigatorState

- java.lang.Object
- - org.eclipse.mat.ui.util.NavigatorState

    public class NavigatorState
    extends Object

### Nested Class Summary

Nested Classes
`static interface` `NavigatorState.IStateChangeListener`

### Constructor Summary

Constructors
`NavigatorState()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addChangeStateListener​(NavigatorState.IStateChangeListener listener)`
`List<PaneState>` `getElements()`
`void` `paneAdded​(PaneState state)`
`void` `paneRemoved​(PaneState state)`
`void` `removeChangeStateListener​(NavigatorState.IStateChangeListener listener)`
`void` `removeEntry​(PaneState paneState)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NavigatorState

    public NavigatorState()

### Method Detail

#### addChangeStateListener

    public void addChangeStateListener​(NavigatorState.IStateChangeListener listener)

#### removeChangeStateListener

    public void removeChangeStateListener​(NavigatorState.IStateChangeListener listener)

#### getElements

    public List<PaneState> getElements()

#### removeEntry

    public void removeEntry​(PaneState paneState)

#### paneAdded

    public void paneAdded​(PaneState state)

#### paneRemoved

    public void paneRemoved​(PaneState state)